Index: /trunk/doc/Flair/search/all_d.js
===================================================================
--- /trunk/doc/Flair/search/all_d.js	(revision 43)
+++ /trunk/doc/Flair/search/all_d.js	(revision 44)
@@ -93,4 +93,5 @@
   ['nodevalue',['nodeValue',['http://qt-project.org/doc/qt-4.8/qdomnode.html#nodeValue',0,'QDomNode']]],
   ['nonbreakablelines',['nonBreakableLines',['http://qt-project.org/doc/qt-4.8/qtextblockformat.html#nonBreakableLines',0,'QTextBlockFormat']]],
+  ['none',['NONE',['../classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5ab50339a10e1de285ac99d4c3990b8693',1,'flair::sensor::Camera']]],
   ['normal',['normal',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normal',0,'QVector3D::normal(const QVector3D &amp;v1, const QVector3D &amp;v2)'],['http://qt-project.org/doc/qt-4.8/qvector3d.html#normal-2',0,'QVector3D::normal(const QVector3D &amp;v1, const QVector3D &amp;v2, const QVector3D &amp;v3)'],['http://qt-project.org/doc/qt-4.8/qpalette-qt3.html#normal',0,'QPalette::normal()']]],
   ['normalexit',['normalExit',['http://qt-project.org/doc/qt-4.8/q3process.html#normalExit',0,'Q3Process']]],
Index: /trunk/doc/Flair/search/classes_12.js
===================================================================
--- /trunk/doc/Flair/search/classes_12.js	(revision 43)
+++ /trunk/doc/Flair/search/classes_12.js	(revision 44)
@@ -4,4 +4,5 @@
   ['seekslider',['SeekSlider',['http://qt-project.org/doc/qt-4.8/phonon-seekslider.html',0,'Phonon']]],
   ['selection',['Selection',['http://qt-project.org/doc/qt-4.8/qabstracttextdocumentlayout-selection.html',0,'QAbstractTextDocumentLayout']]],
+  ['semaphore',['Semaphore',['../classflair_1_1core_1_1_semaphore.html',1,'flair::core']]],
   ['senddata',['SendData',['../classflair_1_1gui_1_1_send_data.html',1,'flair::gui']]],
   ['sensorgl',['SensorGL',['../classflair_1_1sensor_1_1_sensor_g_l.html',1,'flair::sensor']]],
Index: /trunk/doc/Flair/search/classes_13.js
===================================================================
--- /trunk/doc/Flair/search/classes_13.js	(revision 43)
+++ /trunk/doc/Flair/search/classes_13.js	(revision 44)
@@ -13,8 +13,8 @@
   ['trajectorygenerator2dcircle',['TrajectoryGenerator2DCircle',['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html',1,'flair::filter']]],
   ['type',['Type',['../classflair_1_1core_1_1_ahrs_data_1_1_type.html',1,'flair::core::AhrsData']]],
-  ['type',['Type',['../classflair_1_1core_1_1cvimage_1_1_type.html',1,'flair::core::cvimage']]],
+  ['type',['Type',['../classflair_1_1core_1_1_gps_data_1_1_type.html',1,'flair::core::GpsData']]],
   ['type',['Type',['../classflair_1_1core_1_1_geo_coordinate_1_1_type.html',1,'flair::core::GeoCoordinate']]],
-  ['type',['Type',['../classflair_1_1core_1_1_gps_data_1_1_type.html',1,'flair::core::GpsData']]],
+  ['type',['Type',['../classflair_1_1core_1_1cvmatrix_1_1_type.html',1,'flair::core::cvmatrix']]],
   ['type',['Type',['../classflair_1_1core_1_1_imu_data_1_1_type.html',1,'flair::core::ImuData']]],
-  ['type',['Type',['../classflair_1_1core_1_1cvmatrix_1_1_type.html',1,'flair::core::cvmatrix']]]
+  ['type',['Type',['../classflair_1_1core_1_1cvimage_1_1_type.html',1,'flair::core::cvimage']]]
 ];
Index: /trunk/doc/Flair/search/enums_2.js
===================================================================
--- /trunk/doc/Flair/search/enums_2.js	(revision 43)
+++ /trunk/doc/Flair/search/enums_2.js	(revision 44)
@@ -1,4 +1,4 @@
 var searchData=
 [
-  ['motornames_5ft',['MotorNames_t',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4',1,'flair::filter::X4X8Multiplex']]]
+  ['logformat',['LogFormat',['../classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5',1,'flair::sensor::Camera']]]
 ];
Index: /trunk/doc/Flair/search/enums_3.js
===================================================================
--- /trunk/doc/Flair/search/enums_3.js	(revision 43)
+++ /trunk/doc/Flair/search/enums_3.js	(revision 44)
@@ -1,4 +1,4 @@
 var searchData=
 [
-  ['nmeaflags_5ft',['NMEAFlags_t',['../classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967',1,'flair::sensor::NmeaGps']]]
+  ['motornames_5ft',['MotorNames_t',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4',1,'flair::filter::X4X8Multiplex']]]
 ];
Index: /trunk/doc/Flair/search/enums_4.js
===================================================================
--- /trunk/doc/Flair/search/enums_4.js	(revision 43)
+++ /trunk/doc/Flair/search/enums_4.js	(revision 44)
@@ -1,4 +1,4 @@
 var searchData=
 [
-  ['plotabledata_5ft',['PlotableData_t',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe',1,'flair::core::AhrsData::PlotableData_t()'],['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33d',1,'flair::core::GpsData::PlotableData_t()'],['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be',1,'flair::core::ImuData::PlotableData_t()']]]
+  ['nmeaflags_5ft',['NMEAFlags_t',['../classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967',1,'flair::sensor::NmeaGps']]]
 ];
Index: /trunk/doc/Flair/search/enums_5.js
===================================================================
--- /trunk/doc/Flair/search/enums_5.js	(revision 43)
+++ /trunk/doc/Flair/search/enums_5.js	(revision 44)
@@ -1,4 +1,4 @@
 var searchData=
 [
-  ['tabposition_5ft',['TabPosition_t',['../classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31b',1,'flair::gui::TabWidget']]]
+  ['plotabledata_5ft',['PlotableData_t',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe',1,'flair::core::AhrsData::PlotableData_t()'],['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33d',1,'flair::core::GpsData::PlotableData_t()'],['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be',1,'flair::core::ImuData::PlotableData_t()']]]
 ];
Index: /trunk/doc/Flair/search/enums_6.js
===================================================================
--- /trunk/doc/Flair/search/enums_6.js	(revision 43)
+++ /trunk/doc/Flair/search/enums_6.js	(revision 44)
@@ -1,4 +1,4 @@
 var searchData=
 [
-  ['uavtype_5ft',['UavType_t',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb',1,'flair::filter::X4X8Multiplex']]]
+  ['tabposition_5ft',['TabPosition_t',['../classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31b',1,'flair::gui::TabWidget']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_10.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_10.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_10.js	(revision 44)
@@ -1,4 +1,5 @@
 var searchData=
 [
-  ['vtg',['VTG',['../classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a3afe41475c7b8274c53e8ace66cf90f0',1,'flair::sensor::NmeaGps']]]
+  ['up',['Up',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da6e6b10640264c0e589cf31475bbcbe00',1,'flair::core::GpsData']]],
+  ['uyvy',['UYVY',['../classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa87261c567c007f283e17a5fc8c259296',1,'flair::core::cvimage::Type']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_11.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_11.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_11.js	(revision 44)
@@ -1,11 +1,4 @@
 var searchData=
 [
-  ['west',['West',['../classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba684068cc3fc6e852ec3795f0c04822b1',1,'flair::gui::TabWidget']]],
-  ['white',['White',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea63c1818c546addda90938609b25db2c6',1,'flair::gui::DataPlot']]],
-  ['wx',['Wx',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0d0e2f77ee750b3cc816f2064f390bf1',1,'flair::core::AhrsData']]],
-  ['wxdeg',['WxDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfead3903f76bb1704dbc3cfb86fa1e192f5',1,'flair::core::AhrsData']]],
-  ['wy',['Wy',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea923e9fc48418524ec1721e2f923d5c7a',1,'flair::core::AhrsData']]],
-  ['wydeg',['WyDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0106141acaa3bcfdb1a2230ccd826731',1,'flair::core::AhrsData']]],
-  ['wz',['Wz',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea3c9eaace6600b7f0c84cf88fddd146b4',1,'flair::core::AhrsData']]],
-  ['wzdeg',['WzDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea1543ed94aca30d1db18d7f851cc06849',1,'flair::core::AhrsData']]]
+  ['vtg',['VTG',['../classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a3afe41475c7b8274c53e8ace66cf90f0',1,'flair::sensor::NmeaGps']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_12.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_12.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_12.js	(revision 44)
@@ -1,5 +1,11 @@
 var searchData=
 [
-  ['x4',['X4',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcba0144da0493565cd330864db9c2852036',1,'flair::filter::X4X8Multiplex']]],
-  ['x8',['X8',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcbaf3bc4d1091cff6cd94bf2fd9d6eec084',1,'flair::filter::X4X8Multiplex']]]
+  ['west',['West',['../classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba684068cc3fc6e852ec3795f0c04822b1',1,'flair::gui::TabWidget']]],
+  ['white',['White',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea63c1818c546addda90938609b25db2c6',1,'flair::gui::DataPlot']]],
+  ['wx',['Wx',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0d0e2f77ee750b3cc816f2064f390bf1',1,'flair::core::AhrsData']]],
+  ['wxdeg',['WxDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfead3903f76bb1704dbc3cfb86fa1e192f5',1,'flair::core::AhrsData']]],
+  ['wy',['Wy',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea923e9fc48418524ec1721e2f923d5c7a',1,'flair::core::AhrsData']]],
+  ['wydeg',['WyDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0106141acaa3bcfdb1a2230ccd826731',1,'flair::core::AhrsData']]],
+  ['wz',['Wz',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea3c9eaace6600b7f0c84cf88fddd146b4',1,'flair::core::AhrsData']]],
+  ['wzdeg',['WzDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea1543ed94aca30d1db18d7f851cc06849',1,'flair::core::AhrsData']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_13.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_13.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_13.js	(revision 44)
@@ -1,7 +1,5 @@
 var searchData=
 [
-  ['yaw',['Yaw',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80',1,'flair::core::AhrsData']]],
-  ['yawdeg',['YawDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea36d7aef4c89906df6c51376607cb3d26',1,'flair::core::AhrsData']]],
-  ['yellow',['Yellow',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot']]],
-  ['yuyv',['YUYV',['../classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa52c8796e733cb603dc16270c874e91d7',1,'flair::core::cvimage::Type']]]
+  ['x4',['X4',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcba0144da0493565cd330864db9c2852036',1,'flair::filter::X4X8Multiplex']]],
+  ['x8',['X8',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcbaf3bc4d1091cff6cd94bf2fd9d6eec084',1,'flair::filter::X4X8Multiplex']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_7.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_7.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_7.js	(revision 44)
@@ -1,5 +1,4 @@
 var searchData=
 [
-  ['latitude',['Latitude',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab0fbebcc090dfa8235309896b5d50a29',1,'flair::core::GpsData']]],
-  ['longitude',['Longitude',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da05ebdfdb1cb83d2cf0dda4d32697f89c',1,'flair::core::GpsData']]]
+  ['jpg',['JPG',['../classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a92769fe7c40229f4301d6125e0a9e928',1,'flair::sensor::Camera']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_8.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_8.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_8.js	(revision 44)
@@ -1,4 +1,5 @@
 var searchData=
 [
-  ['manual',['Manual',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6ae1ba155a9f2e8c3be94020eef32a0301',1,'flair::core::GpsData']]]
+  ['latitude',['Latitude',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab0fbebcc090dfa8235309896b5d50a29',1,'flair::core::GpsData']]],
+  ['longitude',['Longitude',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da05ebdfdb1cb83d2cf0dda4d32697f89c',1,'flair::core::GpsData']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_9.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_9.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_9.js	(revision 44)
@@ -1,6 +1,4 @@
 var searchData=
 [
-  ['north',['North',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab55fc587bd30c0f9b9a2f5e8960c9e80',1,'flair::core::GpsData::North()'],['../classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31baf909a09a5e3f5713ff5c4db1ad40166f',1,'flair::gui::TabWidget::North()']]],
-  ['northvelocity',['NorthVelocity',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da07766d5461b9b9278731edc5790507dd',1,'flair::core::GpsData']]],
-  ['numberofsatellites',['NumberOfSatellites',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33daff27e35c98e589126863624faf00310b',1,'flair::core::GpsData']]]
+  ['manual',['Manual',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6ae1ba155a9f2e8c3be94020eef32a0301',1,'flair::core::GpsData']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_a.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_a.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_a.js	(revision 44)
@@ -1,6 +1,7 @@
 var searchData=
 [
-  ['pitch',['Pitch',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea14abd733b4aae994e03227a41414c956',1,'flair::core::AhrsData']]],
-  ['pitchdeg',['PitchDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeab1879f408d8ca43877c6b8e1d1c47e2a',1,'flair::core::AhrsData']]],
-  ['pps',['Pps',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6abd9768d943ecb6ddb75aeffea3bfd829',1,'flair::core::GpsData']]]
+  ['none',['NONE',['../classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5ab50339a10e1de285ac99d4c3990b8693',1,'flair::sensor::Camera']]],
+  ['north',['North',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab55fc587bd30c0f9b9a2f5e8960c9e80',1,'flair::core::GpsData::North()'],['../classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31baf909a09a5e3f5713ff5c4db1ad40166f',1,'flair::gui::TabWidget::North()']]],
+  ['northvelocity',['NorthVelocity',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da07766d5461b9b9278731edc5790507dd',1,'flair::core::GpsData']]],
+  ['numberofsatellites',['NumberOfSatellites',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33daff27e35c98e589126863624faf00310b',1,'flair::core::GpsData']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_b.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_b.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_b.js	(revision 44)
@@ -1,8 +1,6 @@
 var searchData=
 [
-  ['q0',['Q0',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea95d87bf031551718d82d04ac1daf420a',1,'flair::core::AhrsData']]],
-  ['q1',['Q1',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea860a4d9a79ac97d2b726877763841b51',1,'flair::core::AhrsData']]],
-  ['q2',['Q2',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0c65aec2815d382db5369f0808a24b46',1,'flair::core::AhrsData']]],
-  ['q3',['Q3',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea019be59f634370d62819b22c1d4b2b2f',1,'flair::core::AhrsData']]],
-  ['quaternion',['Quaternion',['../classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656a3d9784015eecca0b5df06207f9c299f4',1,'flair::sensor::Gx3_25_imu']]]
+  ['pitch',['Pitch',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea14abd733b4aae994e03227a41414c956',1,'flair::core::AhrsData']]],
+  ['pitchdeg',['PitchDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeab1879f408d8ca43877c6b8e1d1c47e2a',1,'flair::core::AhrsData']]],
+  ['pps',['Pps',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6abd9768d943ecb6ddb75aeffea3bfd829',1,'flair::core::GpsData']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_c.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_c.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_c.js	(revision 44)
@@ -1,20 +1,8 @@
 var searchData=
 [
-  ['rawax',['RawAx',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea90ece67a73f71355e7c5a6adf5e8149d',1,'flair::core::ImuData']]],
-  ['raway',['RawAy',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beaf17fe48e3f3aeeb97c77e78340bb5803',1,'flair::core::ImuData']]],
-  ['rawaz',['RawAz',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bead8be85dbc38cbd7c3e5493256ffa1d00',1,'flair::core::ImuData']]],
-  ['rawgx',['RawGx',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beafbc2d2a514c95994271df80a8e5be519',1,'flair::core::ImuData']]],
-  ['rawgxdeg',['RawGxDeg',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea915a640fc43e113b03e4391cf0c733a9',1,'flair::core::ImuData']]],
-  ['rawgy',['RawGy',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea4b4d9ad7d324cc7658342ec2c4771695',1,'flair::core::ImuData']]],
-  ['rawgydeg',['RawGyDeg',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadbc88531fe4da892ae4bcd48089d0565',1,'flair::core::ImuData']]],
-  ['rawgz',['RawGz',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadc2e059b491fedb6d2960281b7ad6622',1,'flair::core::ImuData']]],
-  ['rawgzdeg',['RawGzDeg',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea98589e84fadf04b96b5c578ec931a78f',1,'flair::core::ImuData']]],
-  ['rawmx',['RawMx',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea9ad641005399ef838c6b72845404be6b',1,'flair::core::ImuData']]],
-  ['rawmy',['RawMy',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea526c117774f8517ee9496395c87b63cf',1,'flair::core::ImuData']]],
-  ['rawmz',['RawMz',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beae864388017d2f02860096371f515a367',1,'flair::core::ImuData']]],
-  ['red',['Red',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea785377b2f1b0af2b89cbfb67634e2228',1,'flair::gui::DataPlot']]],
-  ['roll',['Roll',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5f8990388fad1c927fc08019824fcbdd',1,'flair::core::AhrsData']]],
-  ['rolldeg',['RollDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5fc64bf63e469acf2ea04b026566898a',1,'flair::core::AhrsData']]],
-  ['rtk',['Rtk',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a8ad9533f39ec3fe43d6ee0104464a116',1,'flair::core::GpsData']]],
-  ['rtkfloat',['RtkFloat',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a1eacb557d24c49af2ec6832c5fc32413',1,'flair::core::GpsData']]]
+  ['q0',['Q0',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea95d87bf031551718d82d04ac1daf420a',1,'flair::core::AhrsData']]],
+  ['q1',['Q1',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea860a4d9a79ac97d2b726877763841b51',1,'flair::core::AhrsData']]],
+  ['q2',['Q2',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0c65aec2815d382db5369f0808a24b46',1,'flair::core::AhrsData']]],
+  ['q3',['Q3',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea019be59f634370d62819b22c1d4b2b2f',1,'flair::core::AhrsData']]],
+  ['quaternion',['Quaternion',['../classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656a3d9784015eecca0b5df06207f9c299f4',1,'flair::sensor::Gx3_25_imu']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_d.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_d.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_d.js	(revision 44)
@@ -1,8 +1,21 @@
 var searchData=
 [
-  ['simulation',['Simulation',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a4f502b57d2835715eaa382c7d4c32e94',1,'flair::core::GpsData']]],
-  ['south',['South',['../classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31bacce1b78c96723b678957942a3a8ceaa1',1,'flair::gui::TabWidget']]],
-  ['stabilized',['Stabilized',['../classflair_1_1meta_1_1_uav_state_machine.html#a8074514837d84114b8b4e2a6e1d7da86afda22026db89cdc5e88b262ad9424b41',1,'flair::meta::UavStateMachine']]],
-  ['startlanding',['StartLanding',['../classflair_1_1meta_1_1_uav_state_machine.html#a8074514837d84114b8b4e2a6e1d7da86a0a0480d215decaf46260e3db52e4dc4c',1,'flair::meta::UavStateMachine']]],
-  ['stopped',['Stopped',['../classflair_1_1meta_1_1_uav_state_machine.html#a8074514837d84114b8b4e2a6e1d7da86ac23e2b09ebe6bf4cb5e2a9abe85c0be2',1,'flair::meta::UavStateMachine']]]
+  ['raw',['RAW',['../classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a633d6abff0a3fc22404347728d195059',1,'flair::sensor::Camera']]],
+  ['rawax',['RawAx',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea90ece67a73f71355e7c5a6adf5e8149d',1,'flair::core::ImuData']]],
+  ['raway',['RawAy',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beaf17fe48e3f3aeeb97c77e78340bb5803',1,'flair::core::ImuData']]],
+  ['rawaz',['RawAz',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bead8be85dbc38cbd7c3e5493256ffa1d00',1,'flair::core::ImuData']]],
+  ['rawgx',['RawGx',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beafbc2d2a514c95994271df80a8e5be519',1,'flair::core::ImuData']]],
+  ['rawgxdeg',['RawGxDeg',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea915a640fc43e113b03e4391cf0c733a9',1,'flair::core::ImuData']]],
+  ['rawgy',['RawGy',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea4b4d9ad7d324cc7658342ec2c4771695',1,'flair::core::ImuData']]],
+  ['rawgydeg',['RawGyDeg',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadbc88531fe4da892ae4bcd48089d0565',1,'flair::core::ImuData']]],
+  ['rawgz',['RawGz',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadc2e059b491fedb6d2960281b7ad6622',1,'flair::core::ImuData']]],
+  ['rawgzdeg',['RawGzDeg',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea98589e84fadf04b96b5c578ec931a78f',1,'flair::core::ImuData']]],
+  ['rawmx',['RawMx',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea9ad641005399ef838c6b72845404be6b',1,'flair::core::ImuData']]],
+  ['rawmy',['RawMy',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea526c117774f8517ee9496395c87b63cf',1,'flair::core::ImuData']]],
+  ['rawmz',['RawMz',['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beae864388017d2f02860096371f515a367',1,'flair::core::ImuData']]],
+  ['red',['Red',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea785377b2f1b0af2b89cbfb67634e2228',1,'flair::gui::DataPlot']]],
+  ['roll',['Roll',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5f8990388fad1c927fc08019824fcbdd',1,'flair::core::AhrsData']]],
+  ['rolldeg',['RollDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5fc64bf63e469acf2ea04b026566898a',1,'flair::core::AhrsData']]],
+  ['rtk',['Rtk',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a8ad9533f39ec3fe43d6ee0104464a116',1,'flair::core::GpsData']]],
+  ['rtkfloat',['RtkFloat',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a1eacb557d24c49af2ec6832c5fc32413',1,'flair::core::GpsData']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_e.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_e.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_e.js	(revision 44)
@@ -1,8 +1,8 @@
 var searchData=
 [
-  ['takingoff',['TakingOff',['../classflair_1_1meta_1_1_uav_state_machine.html#a8074514837d84114b8b4e2a6e1d7da86a85916c5f3400cfa25d988f05b6736a94',1,'flair::meta::UavStateMachine']]],
-  ['topfrontleft',['TopFrontLeft',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a193877a0435b5188c39016280094c9fd',1,'flair::filter::X4X8Multiplex']]],
-  ['topfrontright',['TopFrontRight',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a73dbcf0adff98643df5bd205a1092756',1,'flair::filter::X4X8Multiplex']]],
-  ['toprearleft',['TopRearLeft',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4afb4faf4d3a428ce9aebb66e3f4b3e450',1,'flair::filter::X4X8Multiplex']]],
-  ['toprearright',['TopRearRight',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a167dcf88d1ab15cfadacef2e958ebcdc',1,'flair::filter::X4X8Multiplex']]]
+  ['simulation',['Simulation',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a4f502b57d2835715eaa382c7d4c32e94',1,'flair::core::GpsData']]],
+  ['south',['South',['../classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31bacce1b78c96723b678957942a3a8ceaa1',1,'flair::gui::TabWidget']]],
+  ['stabilized',['Stabilized',['../classflair_1_1meta_1_1_uav_state_machine.html#a8074514837d84114b8b4e2a6e1d7da86afda22026db89cdc5e88b262ad9424b41',1,'flair::meta::UavStateMachine']]],
+  ['startlanding',['StartLanding',['../classflair_1_1meta_1_1_uav_state_machine.html#a8074514837d84114b8b4e2a6e1d7da86a0a0480d215decaf46260e3db52e4dc4c',1,'flair::meta::UavStateMachine']]],
+  ['stopped',['Stopped',['../classflair_1_1meta_1_1_uav_state_machine.html#a8074514837d84114b8b4e2a6e1d7da86ac23e2b09ebe6bf4cb5e2a9abe85c0be2',1,'flair::meta::UavStateMachine']]]
 ];
Index: /trunk/doc/Flair/search/enumvalues_f.js
===================================================================
--- /trunk/doc/Flair/search/enumvalues_f.js	(revision 43)
+++ /trunk/doc/Flair/search/enumvalues_f.js	(revision 44)
@@ -1,5 +1,8 @@
 var searchData=
 [
-  ['up',['Up',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da6e6b10640264c0e589cf31475bbcbe00',1,'flair::core::GpsData']]],
-  ['uyvy',['UYVY',['../classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa87261c567c007f283e17a5fc8c259296',1,'flair::core::cvimage::Type']]]
+  ['takingoff',['TakingOff',['../classflair_1_1meta_1_1_uav_state_machine.html#a8074514837d84114b8b4e2a6e1d7da86a85916c5f3400cfa25d988f05b6736a94',1,'flair::meta::UavStateMachine']]],
+  ['topfrontleft',['TopFrontLeft',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a193877a0435b5188c39016280094c9fd',1,'flair::filter::X4X8Multiplex']]],
+  ['topfrontright',['TopFrontRight',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a73dbcf0adff98643df5bd205a1092756',1,'flair::filter::X4X8Multiplex']]],
+  ['toprearleft',['TopRearLeft',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4afb4faf4d3a428ce9aebb66e3f4b3e450',1,'flair::filter::X4X8Multiplex']]],
+  ['toprearright',['TopRearRight',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a167dcf88d1ab15cfadacef2e958ebcdc',1,'flair::filter::X4X8Multiplex']]]
 ];
Index: /trunk/doc/Flair/search/files_11.js
===================================================================
--- /trunk/doc/Flair/search/files_11.js	(revision 43)
+++ /trunk/doc/Flair/search/files_11.js	(revision 44)
@@ -1,4 +1,5 @@
 var searchData=
 [
+  ['semaphore_2eh',['Semaphore.h',['../_semaphore_8h.html',1,'']]],
   ['senddata_2eh',['SendData.h',['../_send_data_8h.html',1,'']]],
   ['serialport_2eh',['SerialPort.h',['../_serial_port_8h.html',1,'']]],
Index: /trunk/doc/Flair/search/functions_15.js
===================================================================
--- /trunk/doc/Flair/search/functions_15.js	(revision 43)
+++ /trunk/doc/Flair/search/functions_15.js	(revision 44)
@@ -55,5 +55,5 @@
   ['verticalstretch',['verticalStretch',['http://qt-project.org/doc/qt-4.8/qsizepolicy.html#verticalStretch',0,'QSizePolicy']]],
   ['videoplayer',['VideoPlayer',['http://qt-project.org/doc/qt-4.8/phonon-videoplayer.html#VideoPlayer',0,'Phonon::VideoPlayer::VideoPlayer(Phonon::Category category, QWidget *parent)'],['http://qt-project.org/doc/qt-4.8/phonon-videoplayer.html#VideoPlayer-2',0,'Phonon::VideoPlayer::VideoPlayer(QWidget *parent)']]],
-  ['videowidget',['VideoWidget',['http://qt-project.org/doc/qt-4.8/phonon-videowidget.html#VideoWidget',0,'Phonon::VideoWidget::VideoWidget()'],['http://qt-project.org/doc/qt-4.8/phonon-videoplayer.html#videoWidget',0,'Phonon::VideoPlayer::videoWidget()']]],
+  ['videowidget',['videoWidget',['http://qt-project.org/doc/qt-4.8/phonon-videoplayer.html#videoWidget',0,'Phonon::VideoPlayer::videoWidget()'],['http://qt-project.org/doc/qt-4.8/phonon-videowidget.html#VideoWidget',0,'Phonon::VideoWidget::VideoWidget()']]],
   ['view',['view',['http://qt-project.org/doc/qt-4.8/qwebpage.html#view',0,'QWebPage::view()'],['http://qt-project.org/doc/qt-4.8/qcombobox.html#view',0,'QComboBox::view()']]],
   ['viewbox',['viewBox',['http://qt-project.org/doc/qt-4.8/qsvggenerator.html#viewBox',0,'QSvgGenerator::viewBox()'],['http://qt-project.org/doc/qt-4.8/qsvgrenderer.html#viewBox',0,'QSvgRenderer::viewBox()']]],
